using MvvmCross.Platform.Uwp.Converters;
using MvvmCross.Plugins.Color;
using System;
using Windows.UI.Xaml.Data;

namespace Kolory_UWP
{
    public class ByteToDoubleConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            return (double)(byte)value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return (byte)(double)value;
        }
    }

    public class NativeColorConverter : MvxNativeValueConverter<MvxNativeColorValueConverter>
    { }
}
